Exchange Rates

Exchange rates are the rates at which one currency can be exchanged for another.

Overview

Exchange rates are always quoted in pairs, where the first currency is called the base currency and the second is the quote currency. For example, in the pair USDEUR, USD is the base currency and EUR is the quote currency.

For each currency pair, two rates are provided:

  • Sell Rate: The rate at which you can sell the base currency in exchange for the quote currency.
  • Buy Rate: The rate at which you can buy the base currency using the quote currency.

Example

Given the following rate object:

Example GBPUSD Rate

{
    "ccyPair": "GBPUSD",
    "baseCcy": "GBP",
    "quoteCcy": "USD",
    "sellRate": 1.35259,
    "buyRate": 1.35303
},
  • Sell Rate: 1.35259 - means you can sell 1 GBP for 1.35259 USD.
  • Buy Rate: 1.35303 - means you can buy 1 GBP for 1.35303 USD.

Get Exchange Rates

GET/v1/rates

This endpoint allows you to retrieve live indicative currency exchange rates for a specified set of currency pairs.

Query Parameters

  • Name
    ccyPairs
    Type
    string
    Required
    Type
    Description

    A comma-separated list of currency pairs to retrieve rates for, in the format BASEQUOTE. For example, ccyPairs=USDEUR,GBPUSD.

    Each currency in the pair must be a valid 3-letter ISO currency code.

Request

GET
/v1/rates
  curl -G https://api.flowbrite.io/v1/rates \
  -H "X-API-KEY: {api_key}" \
  -d "ccyPairs=GBPAUD,GBPCAD,GBPUSD,GBPINR"

Responses

Response Body

  • Name
    data
    Type
    object[]
    This is an array
    Type
    Description
  • Name
    meta
    Type
    object
    Type
    Description
    Metadata about the rates results.

Example Responses

{
  "data": [
    {
      "ccyPair": "GBPAUD",
      "baseCcy": "GBP",
      "quoteCcy": "AUD",
      "buyRate": 2.07396,
      "sellRate": 2.07496
    },
    {
      "ccyPair": "GBPCAD",
      "baseCcy": "GBP",
      "quoteCcy": "CAD",
      "buyRate": 1.84706,
      "sellRate": 1.84788
    },
    {
      "ccyPair": "GBPGBP",
      "baseCcy": "GBP",
      "quoteCcy": "GBP",
      "buyRate": 1.0,
      "sellRate": 1.0
    }
  ],
  "meta": {
    "quotedCount": 3,
    "notQuotedCount": 1,
    "notQuoted": ["GBPINR"],
    "timestamp": "2025-06-11T13:33:41.3753128Z"
  }
}